<form [formGroup]="form" (ngSubmit)="dialogRef.close(form.value.text)">
	<h1 mat-dialog-title>{{ data.title | translate }}</h1>
	<div mat-dialog-content>
		<mat-form-field appearance="outline">
			<mat-label>{{ data.label | translate }}</mat-label>
			<input matInput autofocus formControlName="text" autocorrect="off" autocapitalize="none" />
		</mat-form-field>
	</div>
	<div mat-dialog-actions>
		<button mat-button type="button" (click)="dialogRef.close()">{{ 'simple.cancel' | translate }}</button>
		<button mat-raised-button type="submit" color="primary" [disabled]="form.invalid">{{ data.button | translate }}</button>
	</div>
</form>
